<template>
  <div class="rightbox">
    <div class="title">
      <span>聚、通、用</span>
      <img src="../../../assets/img/zonlan (9).png"
           alt="" />
    </div>
    <div class="img_box"
         @click="showToGoRester()">
      <el-carousel :interval="5000"
                   arrow="always"
                   height="100%">
        <el-carousel-item v-for="(item, i) in imgUrl"
                          :key="i">
          <img :src="item"
               alt=""
               style="width: 100%; height: 100%" />
        </el-carousel-item>
      </el-carousel>
    </div>
  </div>
</template>

<script>
export default {
  //import引入的组件需要注入到对象中才能使用
  components: {},
  data () {
    //这里存放数据
    return {
      showImg: false,
      imgUrl: [
        require("../../../assets/img/shujuguanli/64d56c445da36a95cedf60fd1ba550d.png"),
        require("../../../assets/img/shujuguanli/2a596f3425f9f1965c8aec70a241b84.png"),
        require("../../../assets/img/shujuguanli/1d11b594f0c9755476925c70ea2eaef.png"),
      ],
    };
  },
  //方法集合
  methods: {
    showToGoRester () {
      this.$emit("showToGoRester", true);
    },
  },
  mounted () { },
  created () { },
};
</script>
<style lang="less" scoped>
//@import url(); 引入公共css类
.rightbox {
  background: rgba(8, 32, 58, 0.7);
  overflow: hidden;
  width: 100%;
  height: 49%;
  margin-top: 1%;
  box-sizing: border-box;
  .title {
    width: 100%;
    position: relative;
    img {
      width: 100%;
    }
    span {
      font-size: 78px;
      font-weight: 400;
      color: #ffe86b;
      background: linear-gradient(0deg, #bce7ff 0%, #69efff 98.6572265625%);
      -webkit-background-clip: text;
      -webkit-text-fill-color: transparent;
      position: absolute;
      left: 50%;
      top: 0;
      transform: translateX(-50%);
    }
  }
  .img_box {
    // background: url("../../../assets/img/zonlan (26).png") no-repeat center;

    background-size: 100% 100%;
    // width: 1976px;
    height: 1168px;
    overflow: hidden;
    padding: 90px 120px;
    box-sizing: border-box;
    .el-carousel {
      width: 100%;
      height: 100%;
    }
    .el-carousel__item {
      width: 100%;
      height: 100%;
    }
    /deep/ .el-carousel__button {
      width: 125px !important;
      height: 20px !important ;
    }
    /deep/ .el-carousel__arrow {
      height: 120px !important;
      width: 120px !important;
      i {
        font-size: 70px !important;
        font-weight: 600;
      }
    }
  }
}

@media only screen and (max-width: 2560px) {
  .rightbox {
    background: transparent;
    height: 40%;
    margin-top: 6%;
    overflow: visible;

    .img_box {
      height: 100%;
      width: 55%;
      margin-left: 22%;
      padding: 0.1rem 0.1rem;
    }
  }
}
</style>
<style lang="less">
.dialog-box {
  // .el-carousel__arrow {
  //   font-size: 100px !important;
  // }
  // .el-dialog {
  //   height: 0 !important;
  //   padding: 0 !important;
  // }
  // .el-carousel__arrow--right {
  //   right: 0.03655rem !important;
  // }
}
</style>
